%define python_sitelib	%(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define debug_package	%{nil} 

Name:		libexe
Version:	20181128
Release:	1%{?dist}
Summary:	Library to access the executable (EXE) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-%{version}.tar.gz
Source2:	libcerror-20161119.tar.gz
URL:		https://github.com/libyal/libexe/wiki
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  gettext-autopoint
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool gcc
              
%description
libexe is a library to access the executable (EXE) format

%package devel
Summary: Header files and libraries for developing applications for libexe
Group: Development/Libraries
Requires: libexe = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libexe.

%package tools
Summary: Several tools for reading executable (EXE) files
Group: Applications/System
Requires: libexe = %{version}-%{release} 
 

%description tools
Several tools for reading executable (EXE) files

%package python
Summary: Python 2 bindings for libexe
Group: System Environment/Libraries
Requires: libexe = %{version}-%{release} python
BuildRequires: python-devel

%description python
Python 2 bindings for libexe

%if 0%{?centos} != 6
%package python3
Summary: Python 3 bindings for libexe
Group: System Environment/Libraries
Requires: libexe = %{version}-%{release} python3
BuildRequires: python3-devel

%description python3
Python 3 bindings for libexe
%endif

%prep
%setup -q

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh ];   then sh autogen.sh; fi
tar zxf %{SOURCE2}; cp -p libcerror-*/libcerror/*.[ch] libcerror
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%if 0%{?centos} == 6
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%endif
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libexe.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/exeinfo
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?centos} != 6
%files python3
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Wed Nov 28 2018 Lawrence R. Rogers <lrr@cert.org> 20181128-1
* Release 20181128-1
	Version 20181128.

* Thu Nov  1 2018 Lawrence R. Rogers <lrr@cert.org> 20181101-1
* Release 20181101-1
	Version 20181101.

* Mon Oct 24 2016 Joachim Metz <joachim.metz@gmail.com> 20160418-1
- Auto-generated

